
From: Stephen Rothwell <sfr@canb.auug.org.au>

Just white space cleaups and move process_iSeries_events into its only caller.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc64/kernel/idle.c              |    5 +++++
 include/asm-ppc64/iSeries/ItLpQueue.h |   16 ++++------------
 2 files changed, 9 insertions(+), 12 deletions(-)

diff -puN arch/ppc64/kernel/idle.c~ppc64-iseries-cleanup-itlpqueueh arch/ppc64/kernel/idle.c
--- 25/arch/ppc64/kernel/idle.c~ppc64-iseries-cleanup-itlpqueueh	2005-06-03 02:16:03.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/idle.c	2005-06-03 02:16:03.000000000 -0700
@@ -42,6 +42,11 @@ static int (*idle_loop)(void);
 static unsigned long maxYieldTime = 0;
 static unsigned long minYieldTime = 0xffffffffffffffffUL;
 
+static inline void process_iSeries_events(void)
+{
+	asm volatile ("li 0,0x5555; sc" : : : "r0", "r3");
+}
+
 static void yield_shared_processor(void)
 {
 	unsigned long tb;
diff -puN include/asm-ppc64/iSeries/ItLpQueue.h~ppc64-iseries-cleanup-itlpqueueh include/asm-ppc64/iSeries/ItLpQueue.h
--- 25/include/asm-ppc64/iSeries/ItLpQueue.h~ppc64-iseries-cleanup-itlpqueueh	2005-06-03 02:16:03.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/ItLpQueue.h	2005-06-03 02:16:03.000000000 -0700
@@ -64,9 +64,9 @@ struct ItLpQueue {
 	u8	xPlicStatus;		// 0x01 DedicatedIo or DedicatedLp or NotUsed
 	u16	xSlicLogicalProcIndex;	// 0x02 Logical Proc Index for correlation
 	u8	xPlicRsvd[12];		// 0x04
-	char*	xSlicCurEventPtr;	// 0x10
-	char*	xSlicLastValidEventPtr;	// 0x18
-	char*	xSlicEventStackPtr;	// 0x20
+	char	*xSlicCurEventPtr;	// 0x10
+	char	*xSlicLastValidEventPtr; // 0x18
+	char	*xSlicEventStackPtr;	// 0x20
 	u8	xIndex;			// 0x28 unique sequential index.
 	u8	xSlicRsvd[3];		// 0x29-2b
 	u32	xInUseWord;		// 0x2C
@@ -76,17 +76,9 @@ struct ItLpQueue {
 
 extern struct ItLpQueue xItLpQueue;
 
-extern struct HvLpEvent * ItLpQueue_getNextLpEvent(struct ItLpQueue *);
+extern struct HvLpEvent *ItLpQueue_getNextLpEvent(struct ItLpQueue *);
 extern int ItLpQueue_isLpIntPending(struct ItLpQueue *);
 extern unsigned ItLpQueue_process(struct ItLpQueue *, struct pt_regs *);
 extern void ItLpQueue_clearValid(struct HvLpEvent *);
 
-static __inline__ void process_iSeries_events(void)
-{
-	__asm__ __volatile__ (
-	"	li	0,0x5555	\n\
-		sc"
-	: : : "r0", "r3");
-}
-
 #endif /* _ITLPQUEUE_H */
_
